<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize backgroundImages.title}}"/>
    <form class="{{cssClass}}" autocomplete="off">

        {{> "systems/tor1e/templates/sheets/actors/partials/common/actor-header-card.hbs"
                width = 125
                height = 125}}
        <section class="hostile-friendly">
            {{> "systems/tor1e/templates/sheets/actors/partials/common/faction-slider-card.hbs"
                    reference = "system.faction.value"
                    attribute = system.faction}}
        </section>
        <div class="sheet-content">

            <section class="flexrow" id="stats">
                {{> "systems/tor1e/templates/sheets/actors/components/stat-circle-card.hbs"
                        stat=system.attributeLevel
                        reference="system.attributeLevel.value"}}
                {{> "systems/tor1e/templates/sheets/actors/components/resource-circle-card.hbs"
                        stat=system.endurance
                        reference="system.endurance.value"
                        extension-reference="system.endurance.max"
                        extension-label="tor1e.actors.stats.max"}}
                {{> "systems/tor1e/templates/sheets/actors/components/effects-card.hbs"
                        effects=effects}}
            </section>

            <section class="flexrow" id="traits">
                <div class="flexcol" id="specialities">
                    <h2>{{localize "tor1e.actors.traits.specialities"}}</h2>
                    <ul class="collapsibleList">
                        {{#each specialities as |speciality id|}}
                            {{> "systems/tor1e/templates/sheets/actors/partials/common/simple-talent-card.hbs" speciality}}
                        {{/each}}
                    </ul>
                </div>
                <div class="flexcol" id="distinctive-features">
                    <h2>{{localize "tor1e.actors.traits.distinctiveFeatures"}}</h2>
                    <ul class="collapsibleList">
                        {{#each distinctiveFeatures as |distinctiveFeature id|}}
                            {{> "systems/tor1e/templates/sheets/actors/partials/common/simple-talent-card.hbs" distinctiveFeature}}
                        {{/each}}
                        {{#each flaws as |flaw id|}}
                            {{> "systems/tor1e/templates/sheets/actors/partials/common/simple-talent-card.hbs" flaw}}
                        {{/each}}
                    </ul>
                </div>
            </section>
            <section class="flexcol" id="relevant-skills">
                <h2>{{localize "tor1e.actors.skills.relevantSkills"}}</h2>
                <ul class="collapsibleList">
                    {{#each skills as |skill id|}}
                        {{> "systems/tor1e/templates/sheets/actors/partials/common/skill-item-card.hbs" skill}}
                    {{/each}}
                </ul>
                <ul class="collapsibleList">
                    {{#each weaponSkills as |weaponSkill id|}}
                        {{> "systems/tor1e/templates/sheets/actors/partials/common/skill-item-card.hbs" weaponSkill}}
                    {{/each}}
                </ul>
            </section>
            <section class="flexcol" id="description">
                <h2 class="toggle">{{localize system.description.label}}</h2>
                <div class="editor-container">
                    {{editor description target="system.description.value" button=true
                             editable=true}}
                </div>
            </section>
        </div>
    </form>
</div>